import numpy as np


def step_05_DLA_addition_main(inp_dict):
    if "DLA" in inp_dict["flag_tau"].upper():
        key_list      = inp_dict.keys()
        if "log_N_HI_DLA" in key_list:
            from ASTRO_MOCKS_routines.step_05_optical_depth_calculation_DLA.method_2_column_density.\
            method_1_add_DLA_using_column_density import method_1_add_DLA_using_column_density_main

            method_1_add_DLA_using_column_density_main(inp_dict)

    return inp_dict
